#include <pic18.h>
#include <18f2550.h>

#pragma config FOSC = INTOSCIO_EC //Internal oscillator, port function on RA6, EC used by USB 
#pragma config WDT = OFF //Disable watchdog timer
#pragma config LVP = OFF
#pragma config BOR = ON
#pragma config PWRT = ON
#pragma config MCLRE = ON


void delay (unsigned int interval){
	unsigned int i;
	for ( i=0; i!=interval; i++ );
}

void main(){
	char dir;
	TRISB = 0;
	PORTB = 0b11110000;
	delay(6000);
	while(1)
	{
		PORTB = 0b10000000;
		delay(2000);
		PORTB = 0b01000000;
		delay(2000);
		PORTB = 0b00100000;
		delay(2000);
		PORTB = 0b00010000;
		delay(2000);
	}
}